//---------------------------------------------------------- -*-c++-*-
// $Id: StdAfx.h 4819 2011-11-20 15:36:22Z cjm $
//--------------------------------------------------------------------
//
//   Fast File Validator
//   Copyright 2000 by Christopher J. Madsen
//
//   Include file for standard system include files,
//   or project specific include files that are used frequently, but
//   are changed infrequently.
//
//   This program is free software; you can redistribute it and/or
//   modify it under the terms of the GNU General Public License as
//   published by the Free Software Foundation; either version 2 of
//   the License, or (at your option) any later version.
//
//   This program is distributed in the hope that it will be useful,
//   but WITHOUT ANY WARRANTY; without even the implied warranty of
//   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//   GNU General Public License for more details.
//
//   You should have received a copy of the GNU General Public License
//   along with this program.  If not, see <http://www.gnu.org/licenses/>.
//--------------------------------------------------------------------

#ifndef INC_STDAFX_H
#define INC_STDAFX_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define WIN32_LEAN_AND_MEAN // Exclude rarely-used stuff from Windows headers
#include <windows.h>

#include <conio.h>
#include <io.h>

#include "version.h"

#define strcasecmp  stricmp
#define strncasecmp strnicmp
#define isatty      _isatty
#define close       CloseHandle
#define LAST_ERROR  GetLastError()
#define PATH_MAX    MAX_PATH

typedef DWORD   errorT;
typedef HANDLE  fileT;

const HANDLE invalidFile = INVALID_HANDLE_VALUE;

const char *const  dirChars  = ":\\/";

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // not INC_STDAFX_H
